precision highp float;
uniform sampler2D u_inputTexture;
uniform sampler2D u_backgroundTexture;
varying vec2 v_texCoord;

void main() {

    //overlay
    vec4 B = texture2D(u_inputTexture, v_texCoord);
    vec4 A = texture2D(u_backgroundTexture, v_texCoord);
    if (B.a > 0.001) {
        gl_FragColor = B;
    } else {
        gl_FragColor = A;
    }
    gl_FragColor = mix(A, B, B.a);


}